#ifndef _LBBCCLUSTERSVIEWMODE_H
#define _LBBCCLUSTERSVIEWMODE_H

#include <LBBCPrerequisites.h>
#include <OBAOgreFrameListenerMode.h>

namespace LBBC {

class ClusterViewMode : public OBA::OgreFrameListenerMode 
{
	public:
		ClusterViewMode(Ogre::RenderWindow* win, unsigned int ogreFrameListenerModeHandle, bool useBufferedInputKeys = false, bool useBufferedInputMouse = false):
		  OBA::OgreFrameListenerMode(win, ogreFrameListenerModeHandle, useBufferedInputKeys, useBufferedInputMouse)
		{
		}

		virtual ~ClusterViewMode()
		{
		}

		virtual void createScene()
		{
			Ogre::SceneNode* sNode = mSceneMgr->getRootSceneNode()->createChildSceneNode();
			Ogre::Entity* emesh = mSceneMgr->createEntity("chestnutLeavesEntitySample.mesh", "chestnutLeavesEntitySample.mesh");		
			sNode->attachObject(emesh);
		}
};

}
#endif
