#ifndef _LBBCSAMPLECONFIGFILE_H
#define _LBBCSAMPLECONFIGFILE_H

#include <BBC.h>

namespace LBBC {

class _BBCExport SampleConfigFile : public Ogre::ConfigFile {
  public:
    SampleConfigFile();
	
    virtual ~SampleConfigFile();

	Ogre::String getEntitySampleMaterialPrefixName();

	bool getEntityDistributionMerged();

	Ogre::String getEntityDistributionSplittedMaterialPrefixName();

	Ogre::String getEntityDistributionMergedMaterialPrefixName();

	bool getEntityDistributionSplitted();

	Ogre::String getEntitySampleMeshPrefixName();

	bool getEntityDistributionGeneration();

	Ogre::String getEntityDistributionFolder();

	Ogre::String getEntityDistributionXMLPrefixName();

	Ogre::String getEntitiesFolder();

	bool getEntitySampleMeshGeneration();

	Ogre::String getEntitiesMeshPrefixName();

	bool getEntityClustersGeneration();

	float getEntityClustersAlpha();

	unsigned int getEntityClustersMaxClusters();

	unsigned int getEntityClustersNumIterations();

	Ogre::String getEntityClustersFolder();

	bool getEntityClustersMergedClusters();

	bool getEntityClustersSplittedClusters();

	Ogre::String getEntityClustersMeshPrefixName();

	Ogre::String getEntityClustersMaterialPrefixName();

	bool getBillboardCloudMergedBillboards();

	bool getBillboardCloudSplittedBillboards();

	bool getBillboardCloudGeneration();

	Ogre::String getBillboardCloudFolder();

	Ogre::String getBillboardCloudMeshPrefixName();

	Ogre::String getBillboardCloudBillboardMaterialPrefixName();

	Ogre::String getBillboardCloudBillboardGroupMaterialPrefixName();

	Ogre::String getBillboardCloudBillboardTextureUnit0PrefixName();

	Ogre::String getBillboardCloudBillboardGroupTextureUnit0PrefixName();

	Ogre::String getBillboardCloudXMLPrefixName();

	unsigned int getBillboardCloudGroups();

	bool getBillboardCloudGroupedBillboards();

	bool getBillboardCloudDiffuseColorEntityTextureAtlasGeneration();

	Ogre::String getBillboardCloudDiffuseColorEntityTexturePrefixName();

	Ogre::String getBillboardCloudDiffuseColorEntityTextureAtlasPrefixName();

	unsigned int getBillboardCloudDiffuseColorEntityTextureAtlasBitRange();

	unsigned int getBillboardCloudDiffuseColorEntityTextureAtlasSize();

	unsigned int getBillboardCloudDiffuseColorBillboardGroupTextureSize();

	bool getBillboardCloudIndirectBillboardGroupTextureAtlasGeneration();

	Ogre::String getBillboardCloudIndirectBillboardGroupTextureAtlasPrefixName();

	unsigned int getBillboardCloudIndirectBillboardGroupTextureAtlasBitRange();

	unsigned int getBillboardCloudIndirectBillboardGroupTextureAtlasSize();

	unsigned int getBillboardCloudIndirectBillboardGroupTextureSize();

	bool getBillboardCloudDiffuseColorBillboardGroupTextureAtlasGeneration();

	bool getBillboardCloudDiffuseColorMergedBillboardsTextureAtlasGeneration();

	Ogre::String getBillboardCloudDiffuseColorMergedBillboardsTextureAtlasPrefixName();

	unsigned int getBillboardCloudDiffuseColorMergedBillboardsTextureAtlasBitRange();

	unsigned int getBillboardCloudDiffuseColorMergedBillboardsTextureAtlasSize();

	unsigned int getBillboardCloudDiffuseColorMergedBillboardsTextureSize();

	unsigned int getBillboardCloudDiffuseColorBillboardGroupTextureAtlasSize();

	unsigned int getBillboardCloudDiffuseColorEntityTextureAtlasNumSamples();

	bool getBillboardCloudIndirectMergedBillboardsTextureAtlasGeneration();

	Ogre::String getBillboardCloudIndirectMergedBillboardsTextureAtlasPrefixName();

	unsigned int getBillboardCloudIndirectMergedBillboardsTextureAtlasBitRange();

	unsigned int getBillboardCloudIndirectMergedBillboardsTextureAtlasSize();

	unsigned int getBillboardCloudIndirectMergedBillboardsTextureSize();

};

}

#endif