#ifndef _LBBCBILLBOARDVIEWMODE_H
#define _LBBCBILLBOARDVIEWMODE_H


#include "OBAOgreFrameListenerMode.h"

namespace LBBC {

class BillboardViewMode : public OBA::OgreFrameListenerMode 
{
	public:
		BillboardViewMode(Ogre::RenderWindow* win, unsigned int ogreFrameListenerModeHandle, bool useBufferedInputKeys = false, bool useBufferedInputMouse = false):
		  OBA::OgreFrameListenerMode(win, ogreFrameListenerModeHandle, useBufferedInputKeys, useBufferedInputMouse)
		{
		}

		virtual ~BillboardViewMode()
		{
		}

		virtual void createScene()
		{
			Ogre::SceneNode* sNode = mSceneMgr->getRootSceneNode()->createChildSceneNode();
			Ogre::Entity* emesh = mSceneMgr->createEntity("chestnutLeavesBillboardCloudMerged.mesh","chestnutLeavesBillboardCloudGrouped.mesh");		
			sNode->attachObject(emesh);
		}

};

}
#endif
